// A0903 Zegar + temperatura
#include <LiquidCrystal.h>
#include <Wire.h> // biblioteka I2C
#include <RtcDS3231.h> // biblioteka dla DS3231
RtcDS3231<TwoWire> zegar(Wire); // tworzymy obiekt zegar
LiquidCrystal wysw (2, 3, 4, 5, 6, 7); //obiekt wysw

void setup ()   {   //jednorazowo:
  Serial.begin(9600);  zegar.Begin(); wysw.begin(16, 2); 
  RtcDateTime czasKompilacji = RtcDateTime(__DATE__, __TIME__);
  zegar.SetDateTime(czasKompilacji); zegar.SetIsRunning(true);}
  
void loop () { 
 RtcDateTime czasAktualny = zegar.GetDateTime();
 wysw.clear();
 printDateTime(czasAktualny);  
 wysw.setCursor(0, 1); // ustaw kursor w drugiej linii:  
 // odczytaj i wyświetl temperaturę: 
 RtcTemperature temp = zegar.GetTemperature(); 
 wysw.print("Temp.: ");  wysw.print(temp.AsFloatDegC());
 wysw.print("C");   delay(200);  }

#define countof(a) (sizeof(a) / sizeof(a[0]))
void printDateTime(const RtcDateTime& dt) {
 char datestring[16];snprintf_P(datestring,countof(datestring),
 PSTR("%02u/%02u %02u:%02u:%02u"), dt.Day(), dt.Month(),
 dt.Hour(),dt.Minute(),dt.Second()); wysw.print(datestring); }
